# PrimitiveHttpUrl Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveHttpUrl:
[legend]

List of all members.

## Public Member Functions

| import ($scope)
| importValue ($value)
| exportValue ()

## Detailed Description

Definition at line 15 of file PrimitiveHttpUrl.class.php.

## Member Function Documentation

PrimitiveHttpUrl::exportValue | ( |  | ) |

Reimplemented from BasePrimitive.

Definition at line 53 of file PrimitiveHttpUrl.class.php.

PrimitiveHttpUrl::import | ( | $ | scope | ) |

Reimplemented from PrimitiveString.

Definition at line 17 of file PrimitiveHttpUrl.class.php.

References HttpUrl::create().

Here is the call graph for this function:

PrimitiveHttpUrl::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Definition at line 40 of file PrimitiveHttpUrl.class.php.

References BasePrimitive::$value, and BasePrimitive::getName().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveHttpUrl.class.php